<!DOCTYPE html>
<html layout:decorator="lecturer/index"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:th="http://www.thymeleaf.org">
<body>

<main layout:fragment="main">


    <div class="container">

        <h1 th:text="${course.getSubject().getName()}"></h1>
        <h4 th:text="${course.getSemester().getLabel()} + ', ' + ${course.getSubject().getEcts() + ' ECTS'}"></h4>

        <div class="row">
            <div class="col s12">
                <div class="card">
                    <div class="card-content">

                        <div class="vspace">
                            <span class="chip" th:each="tag : ${course.getTags()}" th:text="${tag.name}"></span>
                        </div>

                        <div th:if="${!course.description.isEmpty()}">
                            <div class="section-separator" th:text="#{lecturer.course.details.description}"></div>

                            <p class="text-content" th:text="${course.description}"></p>
                        </div>

                        <div>
                            <div class="section-separator" th:text="#{lecturer.course.details.lecturers}"></div>

                            <ul class="collection borderless">
                                <li class="collection-item"
                                    th:each="lecturer : ${course.getSubject().getLecturers()}">
                                    <span class="title" th:text="${lecturer.name}"></span>
                                    <p>
                                        <a class="teal-text"
                                           th:href="'mailto:' + ${lecturer.email}"
                                           th:text="${lecturer.email}"></a>
                                    </p>
                                </li>
                            </ul>
                        </div>

                        <div>
                            <div class="section-separator" th:text="#{lecturer.course.details.studyplans}"></div>

                            <ul class="collection borderless">
                                <li class="collection-item"
                                    th:each="studyplan : ${studyPlans}">
                                    <div class="title">
                                        <a class="teal-text"
                                           th:href="@{/lecturer/studyplans(id=__${studyplan.studyPlan.id}__)}"
                                           th:text="${studyplan.studyPlan.name}"></a>
                                    </div>
                                    <p class="grey-text">
                                        <span th:if="${studyplan.semesterRecommendation} == null"
                                              th:text="#{lecturer.course.details.no_semester}">
                                        </span>
                                        <span th:if="${studyplan.semesterRecommendation} != null"
                                              th:text="'Semester ' + ${studyplan.semesterRecommendation}"></span>
                                    </p>
                                </li>
                            </ul>
                        </div>

                        <div>
                            <div class="section-separator"
                                 th:text="#{lecturer.course.details.students} + ' (max. '+${course.studentLimits}+')'"></div>

                            <ul class="collection borderless">


                                <li class="collection-item">
                                    <div>
                                        <a class="teal-text"
                                           th:href="@{/lecturer/course-details/registrations(courseId=__${course.id}__)}"
                                           th:text="#{lecturer.courses.registrations}"></a>
                                    </div>
                                    <div>
                                        <a class="teal-text"
                                           th:href="@{/lecturer/course-details/issued-grades(courseId=__${course.id}__)}"
                                           th:text="#{lecturer.courses.issuedgrades}"></a>
                                    </div>
                                    <div>
                                        <a class="teal-text"
                                           th:href="@{/lecturer/course-details/feedback(courseId=__${course.id}__)}"
                                           th:text="#{lecturer.courses.feedback}"></a>
                                    </div>
                                </li>
                            </ul>
                        </div>

                    </div>
                </div>
            </div>
        </div>


    </div>

</main>

</body>
</html>
